.header-page {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 5;
  background: rgba(11, 20, 25, 0.9);
  padding: 9px 0;
  overflow: hidden;
}

.header-page__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-page__end {
  display: flex;
  align-items: center;
}

.header-page__nav {
  margin-right: 15px;
}

.header-page__ul {
  list-style: none;
  display: flex;
  margin: 0;
  padding: 0;
}

.header-page__link {
  color: #fff;
  text-decoration: none;
  display: block;
  padding: 15px 35px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 900;
  font-size: 18px;
  position: relative;
}

.header-page__link::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 0;
  background: #fff;
  width: 100%;
  height: calc(100% + 40px);
  transform: translateY(-50%);
  opacity: 0;
  transition: all .2s;
}

.header-page__link:hover::before {
  opacity: 1;
}

.header-page__text {
  position: relative;
  transition: color .2s;
}

.header-page__link:hover {
  color: #1f1f1f;
}

.header-page__hamburger {
  display: none;
  margin-right: -15px;
}

@media (max-width: 1200px) {
  .header-page__link {
    font-size: 16px;
    padding: 12px 30px;
  }

  .header-page__phone {
    font-size: 14px;
    padding: 7px 16px;
  }
}

@media (max-width: 992px) {
  .header-page__nav {
    display: none;
  }

  .header-page__hamburger {
    display: block;
  }

  .header-page {
    padding: 5px 0;
  }
}

@media (max-width: 480px) {
  .header-page__phone {
    display: none;
  }
}
